Transfer to Bank
Process Flow

Open API Flow Process
API Account Inquiry
-
Service Code: 42
-
URL
Sandboxhttps://sandbox-api.cashin.co.id/pg/fo/api/v1.0/emoney/bank-account-inquiryProductionhttps://api.cashin.co.id/pg/fo/api/v1.0/emoney/bank-account-inquiryRelative path url for signature/api/v1.0/emoney/bank-account-inquiry -
Method: POST
-
Content Type: application/json
-
Request Header:
No Name Type Length Required Description Example 1 X-PARTNER-ID String 36 Mandatory Identifier id client generated by Cash In CID12345678910 2 X-EXTERNAL-ID String 36 Mandatory Unique Identifier request must be unique each request
Numeric string
31758165311269888980939441231201 3 X-TIMESTAMP String 25 Mandatory Transaction date format in YYYY-MM-DDTHH:mm:ss+07:00. Time must be in GMT+7 (Jakarta time) 2024-03-01T14:56:11+07:00 4 X-SIGNATURE String Variable Mandatory Signature generated using Asymmetric Asymmetric SNAP Method 5 CHANNEL-ID String 5 Mandatory Digits 9501 -
Request Body:
No Name Type Length Required Description Example 1 partnerReferenceNo String 64 Mandatory Transaction identifier on Merchant System REF0123456789 2 customerNumber String 64 Mandatory Customer Number (same as beneficiaryAccountNumber) 081234567890 3 beneficiaryAccountNumber Number 36 Optional Beneficiary Account No 74744523232 4 beneficiaryBankCode String 50 Mandatory Bank Code 10 5 amount JSON Object Mandatory 6 amount.value String Mandatory Amount Value 7 amount.currency String Mandatory Amount Currency 8 additionalInfo JSON Object 25 Mandatory 9 additionalInfo.channel String 25 Optional deault(DIRECT_API) Merchant id provide from Cash In -
Response Body:
No Name Type Length Required Description Example 1 responseCode String 7 Mandatory Response Code 2004300 2 responseMessage String 150 Mandatory Response Message Success 3 partnerReferenceNo String 64 Mandatory Transaction identifier on Merchant System REF1234567890 4 referenceNo String 64 Mandatory Transaction identifier on Cash In System TF1234567890 5 beneficiaryAccountNumber String 25 Mandatory Beneficiary Account No 74744523232 6 beneficiaryAccountName String Mandatory Beneficiary Account Name 7 beneficiaryBankCode String Mandatory Beneficiary Bank Code 8 beneficiaryBankName String Mandatory Beneficiary Bank Name 9 amount JSON Object Mandatory 10 amount.value String Mandatory Amount Value 11 amount.currency String Mandatory Amount Currency -
Response Code:
Code Description 2004200 Success 2024200 Request In Progress 4004200 Bad Request 4004201 Invalid Field Format 4004202 Invalid Mandatory Field 4014200 Unauthorized. (reason) 5004200 Internal Server Error Example Request - Account Inquirycurl --location 'https://sandbox-api.cashin.co.id/pg-fo/api/v1.0/emoney/bank-account-inquiry' \
--header 'X-TIMESTAMP: 2024-03-01T14:56:11+07:00' \
--header 'X-PARTNER-ID: CID1234567890 ' \
--header 'X-EXTERNAL-ID: 3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'X-SIGNATURE: 1iND8TUKOnGvH4TIFsQB5cCvtYyQKvJrmdpqjgQaLLLiHXdmWsVX8SAnmdq7dWWeKtfl1SKovegk9nwCmjXFHg==' \
--header 'Content-Type: application/json' \
--data '{
"partnerReferenceNo":"REF0123456789",
"customerNumber":"081234567890",
"beneficiaryAccountNumber":"74744523232",
"beneficiaryBankCode":"10",
"amount":{
"value":”10000”,
"currency":"IDR"
},
"additionalInfo":{
"merchantId":"MCH1234567890"
}
}'Example Response - Account Inquiry{
"responseCode": "2004200",
"responseMessage": "Successful",
"partnerReferenceNo": "REF1234567890",
"referenceNo": "TF1234567890",
"beneficiaryAccountNumber": "74744523232",
"beneficiaryAccountName": "Fulan",
"beneficiaryBankCode": "10",
"beneficiaryBankName": "Imaginary Bank",
"amount": {
"value": "10000",
"currency": "IDR"
}
}
API Transfer
-
Service Code: 43
-
URL
Sandboxhttps://sandbox-api.cashin.co.id/pg/fo/api/v1.0/emoney/transfer-bankProductionhttps://api.cashin.co.id/pg/fo/api/v1.0/emoney/transfer-bankRelative path url for signature/api/v1.0/emoney/transfer-bank -
Method: POST
-
Content Type: application/json
-
Request Header:
No Name Type Length Required Description Example 1 X-PARTNER-ID String 36 Mandatory Identifier id client generated by Cash In CID12345678910 2 X-EXTERNAL-ID String 36 Mandatory Unique Identifier request must be unique each request
Numeric string
31758165311269888980939441231201 3 X-TIMESTAMP String 25 Mandatory Transaction date format in YYYY-MM-DDTHH:mm:ss+07:00. Time must be in GMT+7 (Jakarta time) 2024-03-01T14:56:11+07:00 4 X-SIGNATURE String Variable Mandatory Signature generated using Asymmetric Asymmetric SNAP Method 5 CHANNEL-ID String 5 Mandatory Digits 9501 -
Request Body:
No Name Type Length Required Description Example 1 partnerReferenceNo String 64 Mandatory Transaction identifier on Merchant System REF1234567890 2 customerNumber String 64 Mandatory Customer Number (same as beneficiaryAccountNumber) 74744523232 3 beneficiaryAccountNumber Number 36 Optional Beneficiary Account No 74744523232 4 beneficiaryBankCode String 50 Mandatory Bank Code 10 5 amount JSON Object Mandatory 6 amount.value String Mandatory Amount Value 7 amount.currency String Mandatory Amount Currency 8 additionalInfo JSON Object 25 Mandatory 9 additionalInfo.method String 25 Mandatory DIRECT 10 additionalInfo.beneficaryAccountName String 100 Mandatory Customer Account Name -
Response Body:
No Name Type Length Required Description Example 1 responseCode String 7 Mandatory Response Code 2004300 2 responseMessage String 150 Mandatory Response Message Success 3 partnerReferenceNo String 64 Mandatory Transaction identifier on Merchant System 123 4 referenceNo String 64 Mandatory Transaction identifier on Cash In System TF123 5 transactionDate String 25 Mandatory Transaction Date. ISODateTime with standar ISO-8601 2024-03-01T14:56:11+07:00 -
Response Code:
Code Description 2004300 Success 2024300 Request In Progress 4004300 Bad Request 4004301 Invalid Field Format 4004302 Invalid Mandatory Field 4014300 Unauthorized. (reason) 5004300 Internal Server Error Example Request - API Transfercurl --location 'https://sandbox-api.cashin.co.id/pg-fo/api/v1.0/emoney/transfer-bank' \
--header 'X-TIMESTAMP: 2024-03-01T14:56:11+07:00' \
--header 'X-PARTNER-ID: CID1234567890 ' \
--header 'X-EXTERNAL-ID: 3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'X-SIGNATURE: 1iND8TUKOnGvH4TIFsQB5cCvtYyQKvJrmdpqjgQaLLLiHXdmWsVX8SAnmdq7dWWeKtfl1SKovegk9nwCmjXFHg==' \
--header 'CHANNEL-ID: 95051' \
--header 'Content-Type: application/json' \
--data '{
"partnerReferenceNo":"REF1234567890",
"customerNumber":"74744523232",
"beneficiaryAccountNumber":"74744523232",
"beneficiaryBankCode":"10",
"amount":{
"value":"10000",
"currency":"IDR"
},
"additionalInfo":{
"method":"DIRECT",
"beneficaryAccountName":"Fulan"
}
}'Example Response - API Transfer{
"responseCode": "2004300",
"responseMessage": "Successful",
"partnerReferenceNo": "REF1234567890",
"referenceNo": "TF1234567890",
"transactionDate": "2024-03-01T14:56:11+07:00"
}
API Status Transfer
-
Service Code: 01
-
URL
Sandboxhttps://sandbox-api.cashin.co.id/pg/fo/api/v1.0/emoney/transfer-bank-statusProductionhttps://api.cashin.co.id/pg/fo/api/v1.0/emoney/transfer-bank-statusRelative path url for signature/api/v1.0/emoney/transfer-bank-status -
Method: POST
-
Content Type: application/json
-
Request Header:
No Name Type Length Required Description Example 1 X-PARTNER-ID String 36 Mandatory Identifier id client generated by Cash In CID12345678910 2 X-EXTERNAL-ID String 36 Mandatory Unique Identifier request must be unique each request
Numeric string
31758165311269888980939441231201 3 X-TIMESTAMP String 25 Mandatory Transaction date format in YYYY-MM-DDTHH:mm:ss+07:00. Time must be in GMT+7 (Jakarta time) 2024-03-01T14:56:11+07:00 4 X-SIGNATURE String Variable Mandatory Signature generated using Asymmetric Asymmetric SNAP Method 5 CHANNEL-ID String 5 Mandatory Digits 9501 -
Request Body:
No Name Type Length Required Description Example 1 originalPartnerReferenceNo String 64 Mandatory Transaction identifier on Merchant System REF1234567890 2 serviceCode String 2 Mandatory Service code of get status transfer 01 -
Response Body:
No Name Type Length Required Description Example 1 responseCode String 7 Mandatory Response Code 2000100 2 responseMessage String 150 Mandatory Response Message Successful 3 originalPartnerReferenceNo String 64 Mandatory Transaction identifier on Merchant System REF1234567890 4 originalReferenceNo String 64 Mandatory Transaction identifier on Cash In System TF1234567890 5 serviceCode String 2 Mandatory Service code of get status transfer 01 6 transactionDate String 25 Mandatory Transaction Date. ISODateTime with standar ISO-8601 2024-03-01T14:56:11+07:00 7 beneficiaryAccountNo String 30 Mandatory Bank Account Number 37502323223 8 beneficiaryBankCode String 4 Mandatory Bank Code 451 9 latestTransactionStatus String 3 Mandatory 00 - Success
01 - Initiated
02 - Paying
03 - Pending
04 - Refunded
05 - Canceled
06 - Failed
07 - Not found00 10 transactionStatusDesc String 50 Mandatory Description of latestTransactionStatus Success -
Response Code:
Code Description 2000100 Success 2020100 Request In Progress 4000100 Bad Request 4000101 Invalid Field Format 4000102 Invalid Mandatory Field 4010100 Unauthorized. (reason) 5000100 Internal Server Error Example Request - API Status Transfercurl --location 'https://sandbox-api.cashin.co.id/pg/fo/api/v1.0/emoney/transfer-bank-status' \
--header 'X-TIMESTAMP: 2024-03-01T14:56:11+07:00' \
--header 'X-PARTNER-ID: CID1234567890' \
--header 'X-EXTERNAL-ID: 3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'X-SIGNATURE: 1iND8TUKOnGvH4TIFsQB5cCvtYyQKvJrmdpqjgQaLLLiHXdmWsVX8SAnmdq7dWWeKtfl1SKovegk9nwCmjXFHg==' \
--header 'CHANNEL-ID: 9051' \
--header 'Content-Type: application/json' \
--data '{"originalPartnerReferenceNo":"REF1234567890","serviceCode":"01"}'Example Response - API Status Transfer{
"responseCode": "2004300",
"responseMessage": "Successful",
"partnerReferenceNo": "REF1234567890",
"referenceNo": "TF1234567890",
"transactionDate": "2024-03-01T14:56:11+07:00"
}
API Transfer Notify
-
Service Code: 43
-
URL
Sandbox{MERCHANT_URL_SANDBOX}/v1.0/emoney/transfer/notifyProduction{MERCHANT_URL_PROD}/v1.0/emoney/transfer/notifyRelative path url for signaturehttps://test.id/api/v1.0/emoney/transfer-bank/notify -
Method: POST
-
Content Type: application/json
-
Request Header:
No Name Type Length Required Description Example 1 X-PARTNER-ID String 36 Mandatory Identifier id client generated by Cash In CID12345678910 2 X-EXTERNAL-ID String 36 Mandatory Unique Identifier request must be unique each request
Numeric string
31758165311269888980939441231201 3 X-TIMESTAMP String 25 Mandatory Transaction date format in YYYY-MM-DDTHH:mm:ss+07:00. Time must be in GMT+7 (Jakarta time) 2024-03-01T14:56:11+07:00 4 X-SIGNATURE String Variable Mandatory Signature generated using Asymmetric Asymmetric SNAP Method 5 CHANNEL-ID String 5 Mandatory Digits 9501 -
Request Body:
No Name Type Length Required Description Example 1 originalPartnerReferenceNo String 64 Mandatory Transaction identifier on Merchant System TRX0001 2 originaReferenceNo String 64 Mandatory Transaction identifier on Cash In System TRF0123213213 3 latestTransactionStatus Number 2 Mandatory 00 - Success
03 - Pending
06 - Failed00 4 transactionStatusDesc String 50 Mandatory Desc of Status Success 5 amount JSON Object Mandatory 6 amount.value String Mandatory Amount Value 1000.00 7 amount.currency String Mandatory Amount Currency IDR 8 feeAmount JSON Object Mandatory 9 feeAmount.value String Mandatory FeeAmount Value 100.00 10 feeAmount.currency String Mandatory Fee Amount Currency IDR -
Response Body:
No Name Type Length Required Description Example 1 responseCode String 7 Mandatory Response Code 2004300 2 responseMessage String 150 Mandatory Response Message Successful -
Response Code:
Code Description 2004300 Success 2024300 Request In Progress 4004300 Bad Request 4004301 Invalid Field Format 4004302 Invalid Mandatory Field 4014300 Unauthorized. (reason) 5004300 Internal Server Error Example Request - API Transfer Notifycurl --location --request POST 'https://test.id/ v1.0/emoney/transfer /notify ' \
--header 'X-TIMESTAMP: 2025-04-11T10:42:53.352+07:00' \
--header 'X-PARTNER-ID: CID173701069947375062' \
--header 'X-EXTERNAL-ID: 123' \
--header 'X-SIGNATURE: 2LxrHCEHWj/j7rE2ZNMEs7sq7Nsd0KPkH8J6ZucPTlM=' \
--header 'Content-Type: application/json' \
--data-raw '{
"originalPartnerReferenceNo": "TRX01",
"originalReferenceNo": "TRF00023232323232",
"latestTransactionStatus": "00",
"transactionStatusDesc": "success"
"amount": {
"value": "1000.00",
"currency": "IDR"
},
"feeAmount": {
"value": "100.00",
"currency": "IDR"
}
}
'Example Response - API Transfer Notify{
"responseCode": "2004300",
"responseMessage": "Successful",
}